import { createApp } from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import * as echarts from 'echarts';
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
// import 'element-plus/lib/theme-chalk/index.css';
import locale from 'element-plus/lib/locale/lang/zh-cn';

import BASE from "./utils/baseTool.js"
const app = createApp(App)
app.config.globalProperties.$echarts = echarts
app.config.globalProperties.BASE = BASE
app.use(store)
app.use(router)
app.use(ElementPlus, { locale })
app.mount('#app')

